<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="45" short-name="guess-the-circle" url="https://polygon.codeforces.com/p2D3YCV/Sasha0738/guess-the-circle">
        
    <names>
                
        <name language="russian" value="Зов Древних"/>
            
    </names>
        
    <statements>
                
        <statement charset="UTF-8" language="russian" path="statements/russian/problem.tex" type="application/x-tex"/>
                
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
            
    </statements>
        
    <tutorials>
                
        <tutorial charset="UTF-8" language="russian" path="statements/russian/tutorial.tex" type="application/x-tex"/>
                
        <tutorial charset="UTF-8" language="russian" path="statements/.html/russian/tutorial.html" type="text/html"/>
                
        <tutorial language="russian" path="statements/.pdf/russian/tutorial.pdf" type="application/pdf"/>
            
    </tutorials>
        
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="">
                
        <testset name="tests">
                        
            <time-limit>2000</time-limit>
                        
            <memory-limit>268435456</memory-limit>
                        
            <test-count>101</test-count>
                        
            <input-path-pattern>tests/%02d</input-path-pattern>
                        
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
                        
            <tests>
                                
                <test group="sample" method="manual" points="0.0" sample="true"/>
                                
                <test group="testset-1" method="manual" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #1" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #2" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #3" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #4" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #5" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #6" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #7" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #8" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #9" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #10" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #11" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #12" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #13" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #14" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #15" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #16" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #17" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #18" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #19" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #20" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #21" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #22" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #23" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 10202 10202 #24" group="testset-1" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #25" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #26" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #27" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #28" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #29" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #30" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #31" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #32" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #33" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #34" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #35" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #36" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #37" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #38" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #39" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #40" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #41" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #42" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #43" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #44" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #45" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #46" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #47" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #48" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 1000 5000 #49" group="testset-2" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #50" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #51" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #52" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #53" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #54" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #55" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #56" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #57" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #58" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #59" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #60" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #61" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #62" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #63" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #64" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #65" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #66" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #67" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #68" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #69" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #70" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #71" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #72" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #73" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 300 500 #74" group="testset-3" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #75" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #76" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #77" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #78" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #79" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #80" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #81" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #82" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #83" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #84" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #85" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #86" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #87" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #88" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #89" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #90" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #91" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #92" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #93" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #94" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #95" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #96" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #97" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #98" group="testset-4" method="generated" points="1.0"/>
                                
                <test cmd="gen 101 101 #99" group="testset-4" method="generated" points="1.0"/>
                            
            </tests>
                        
            <groups>
                                
                <group feedback-policy="complete" name="sample" points-policy="each-test"/>
                                
                <group feedback-policy="complete" name="testset-1" points="25.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="sample"/>
                                            
                    </dependencies>
                                    
                </group>
                                
                <group feedback-policy="complete" name="testset-2" points="25.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="sample"/>
                                                
                        <dependency group="testset-1"/>
                                            
                    </dependencies>
                                    
                </group>
                                
                <group feedback-policy="complete" name="testset-3" points="25.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="sample"/>
                                                
                        <dependency group="testset-1"/>
                                                
                        <dependency group="testset-2"/>
                                            
                    </dependencies>
                                    
                </group>
                                
                <group feedback-policy="complete" name="testset-4" points="25.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="sample"/>
                                                
                        <dependency group="testset-1"/>
                                                
                        <dependency group="testset-2"/>
                                                
                        <dependency group="testset-3"/>
                                            
                    </dependencies>
                                    
                </group>
                            
            </groups>
                    
        </testset>
            
    </judging>
        
    <files>
                
        <resources>
                        
            <file path="files/olymp.sty"/>
                        
            <file path="files/problem.tex"/>
                        
            <file path="files/statements.ftl"/>
                        
            <file path="files/testlib.h" type="h.g++"/>
                        
            <file path="files/tutorial.tex"/>
                    
        </resources>
                
        <executables>
                        
            <executable>
                                
                <source path="files/gen.cpp" type="cpp.g++17"/>
                                
                <binary path="files/gen.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/interactor.cpp" type="cpp.g++17"/>
                                
                <binary path="files/interactor.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                            
            </executable>
                    
        </executables>
            
    </files>
        
    <assets>
                
        <checker name="std::lcmp.cpp" type="testlib">
                        
            <source path="files/check.cpp" type="cpp.g++17"/>
                        
            <binary path="check.exe" type="exe.win32"/>
                        
            <copy path="check.cpp"/>
                        
            <testset>
                                
                <test-count>0</test-count>
                                
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                                
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                                
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                                
                <tests/>
                            
            </testset>
                    
        </checker>
                
        <interactor>
                        
            <source path="files/interactor.cpp" type="cpp.g++17"/>
                        
            <binary path="files/interactor.exe" type="exe.win32"/>
                    
        </interactor>
                
        <validators>
                        
            <validator>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                                
                <testset>
                                        
                    <test-count>7</test-count>
                                        
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                                        
                    <tests>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="invalid"/>
                                                
                        <test verdict="valid"/>
                                            
                    </tests>
                                    
                </testset>
                            
            </validator>
                    
        </validators>
                
        <solutions>
                        
            <solution tag="main">
                                
                <source path="solutions/ad_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/ad_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="accepted" testset="tests"/>
                                        
                    <extra-tag group="testset-4" tag="accepted"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                        
                    <extra-tag group="testset-3" tag="accepted"/>
                                        
                    <extra-tag group="testset-2" tag="accepted"/>
                                        
                    <extra-tag group="testset-1" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="rejected">
                                
                <source path="solutions/ad_full_check.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/ad_full_check.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="rejected" testset="tests"/>
                                        
                    <extra-tag group="testset-4" tag="rejected"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                        
                    <extra-tag group="testset-3" tag="rejected"/>
                                        
                    <extra-tag group="testset-2" tag="rejected"/>
                                        
                    <extra-tag group="testset-1" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="rejected">
                                
                <source path="solutions/ad_monte_carlo.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/ad_monte_carlo.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="rejected" testset="tests"/>
                                        
                    <extra-tag group="testset-4" tag="rejected"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                        
                    <extra-tag group="testset-3" tag="accepted"/>
                                        
                    <extra-tag group="testset-2" tag="accepted"/>
                                        
                    <extra-tag group="testset-1" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="accepted">
                                
                <source path="solutions/vm_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/vm_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="accepted" testset="tests"/>
                                        
                    <extra-tag group="testset-4" tag="accepted"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                        
                    <extra-tag group="testset-3" tag="accepted"/>
                                        
                    <extra-tag group="testset-2" tag="accepted"/>
                                        
                    <extra-tag group="testset-1" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="rejected">
                                
                <source path="solutions/vm_monte_carlo.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/vm_monte_carlo.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="rejected" testset="tests"/>
                                        
                    <extra-tag group="testset-4" tag="rejected"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                        
                    <extra-tag group="testset-3" tag="accepted"/>
                                        
                    <extra-tag group="testset-2" tag="accepted"/>
                                        
                    <extra-tag group="testset-1" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                    
        </solutions>
            
    </assets>
        
    <properties>
                
        <property name="tests-wellformed" value="true"/>
            
    </properties>
        
    <stresses>
                
        <stress-count>0</stress-count>
                
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
                
        <list/>
            
    </stresses>
        
    <tags>
                
        <tag value="interactive"/>
                
        <tag value="monte carlo method"/>
            
    </tags>
    
</problem>
